https://pantsbuild.org/ logo
#general
Title
# general
b

brainy-solstice-27042

05/16/2022, 8:13 PM
Out of curiosity, how long is pants 1.30 being supposrted?
1
e

enough-analyst-54434

05/16/2022, 8:24 PM
None of the active Pants maintainers actually use Pants v1; so its best effort. We highly encourage migration if / when it makes sense.
b

brainy-solstice-27042

05/16/2022, 8:25 PM
Ok, so not actively supported anymore, is that correct? Just trying to get a feel for when we should jump and upgrade to 2.X. Thanks!
e

enough-analyst-54434

05/16/2022, 8:30 PM
Yes, definitely not actively supported for going on 2+ years. We help folks out when we can, but not maintained otherwise.
h

happy-kitchen-89482

05/16/2022, 8:33 PM
We can help with upgrading, although there is not yet JS support in 2.x
it is high on the priority list
w

wide-midnight-78598

05/16/2022, 8:49 PM
❤️ 5
h

hundreds-father-404

05/17/2022, 4:57 PM
@brainy-solstice-27042 what languages are you using w/ v1?
b

brainy-solstice-27042

05/17/2022, 4:58 PM
python and node as far as I know
👍 1
4 Views